#include "defines.h"

#ifndef FOTO
#define FOTO

#define FOTO_MAXCHARS 16
#define FOTO_MAXKEYWORDS 10

struct keyWordsStruct
{
    char words[FOTO_MAXKEYWORDS][FOTO_MAXCHARS];
    int count;
};

typedef struct keyWordsStruct KeyWordsType;

struct fotoStruct
{
    char nome[FOTO_MAXCHARS];
    char fotografo[FOTO_MAXCHARS];
    char stato;
    KeyWordsType keyWords;
};

typedef struct fotoStruct FotoType;

struct listaFotoStruct
{
    FotoType foto;
    struct listaFotoStruct *next;
};

typedef struct listaFotoStruct *ListaFotoType;

#endif

ListaFotoType leggiFoto(char *fileName);
ListaFotoType aggiungiFoto(ListaFotoType lista, FotoType *foto);
int compareFoto(FotoType *foto1, FotoType *foto2);
ListaFotoType insOrdFoto(ListaFotoType lista, FotoType *foto);
ListaFotoType ordinaFoto(ListaFotoType lista, char *username);
ListaFotoType ricercaFoto(ListaFotoType lista, char *username, char *keyWord);
void stampaFoto(ListaFotoType lista);
void destroyListaFoto(ListaFotoType lista);

BOOLEAN aggiungiKeyWord(KeyWordsType *keyWords, char keyWord[]);
BOOLEAN trovaKeyWord(KeyWordsType *keyWords, char keyWord[]);
